package saltyim

import (
	"testing"

	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"go.yarn.social/lextwt"
)

func TestPackMessage(t *testing.T) {
	assert := assert.New(t)
	require := require.New(t)

	addr, err := ParseAddr("alice@example.com")
	require.NoError(err)
	assert.Equal("alice", addr.User)
	assert.Equal("example.com", addr.Domain)

	msg := "Hello World!"
	packed := PackMessage(addr, msg)
	require.NotNil(packed)

	s, err := lextwt.ParseSalty(string(packed))
	require.NoError(err)

	st, ok := s.(*lextwt.SaltyText)
	require.Equal(true, ok)

	assert.Equal("alice@example.com", st.User.String())
	assert.Equal("Hello World!", st.LiteralText())
}
