//go:build !wasm && !js && embed

package internal

import (
	"embed"
	"net/http"

	log "github.com/sirupsen/logrus"
)

//go:embed web
var embeddedWeb embed.FS

func init() {
	log.Info("loading wasm resources...")
	resources = resourcesFS{
		Handler: http.FileServer(http.FS(embeddedWeb)),
	}
}

type resourcesFS struct {
	http.Handler
}

func (resourcesFS) Package() string { return "" }
func (resourcesFS) Static() string  { return "" }
func (resourcesFS) AppWASM() string { return "/web/app.wasm" }
